> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit note by ID

> Fetch a credit note by its ID. The credit note will be associated with the organisation.



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /credit_notes/{credit_note_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /credit_notes/{credit_note_id}:
    get:
      tags:
        - Credit Notes
      summary: Get credit note by ID
      description: >-
        Fetch a credit note by its ID. The credit note will be associated with
        the organisation.
      operationId: Get-credit-note-by-ID
      parameters:
        - name: credit_note_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Credit Note Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditNoteResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreditNoteResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: ID
        amount:
          type: integer
          title: Amount
          description: Amount in lowest denomination of the currency
        credits_returned:
          anyOf:
            - type: integer
            - type: 'null'
          title: Credits Returned
          description: Credits amount in lowest denomination of the currency
        currency:
          type: string
          title: Currency
          description: Currency
        customer_id:
          type: string
          format: uuid
          title: Customer Id
          description: Customer ID
        customer:
          anyOf:
            - $ref: '#/components/schemas/app__invoice__schema__DetailsObject'
            - type: 'null'
          description: Customer Object
        invoice:
          anyOf:
            - $ref: '#/components/schemas/app__invoice__schema__DetailsObject'
            - type: 'null'
          description: Invoice Object
        invoice_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Invoice Id
          description: Invoice ID
        status:
          $ref: '#/components/schemas/CreditNoteStatuses'
          description: Status
        repayment_method:
          $ref: '#/components/schemas/CreditNoteRepaymentMethods'
          description: Repayment Method
        line_items_url:
          type: string
          title: Line Items Url
          description: Line Items URL
        custom_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Custom Data
          description: Custom Data Dictionary
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Created At
        credit_note_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Credit Note Number
          description: Credit Note Number
      type: object
      required:
        - id
        - amount
        - currency
        - customer_id
        - status
        - repayment_method
        - line_items_url
        - created_at
      title: CreditNoteResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__invoice__schema__DetailsObject:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
      type: object
      required:
        - id
      title: DetailsObject
    CreditNoteStatuses:
      type: string
      enum:
        - in_progress
        - issued
        - void
        - paid
      title: CreditNoteStatuses
    CreditNoteRepaymentMethods:
      type: string
      enum:
        - credits
        - invoice_adjusted
        - external_payment
        - credits_against_payment
        - original_payment_method
      title: CreditNoteRepaymentMethods
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````